<template>
<div class="impax-footer-wrapper">
	<div class="impax-footer-container">
		<div class="impax-footer-container__logo">
			<img src="https://impax-tours.com/graphics/images/logo_small.jpg" alt="">
		</div>
		<div class="impax-footer-container__content">
			<div class="impax-footer-container__content__contact">
				<div>
					<p>Impax Tours</p>
					<p>Rochusstr. 1 52062 Aachen</p>
					<p>Germany</p>
				</div>
				<div>
					<p>info@impax-tours.com</p>
					<p>+49 241 41 250 221</p>
				</div>
				<div>
					<p>Office Hours:</p>
					<p>Mo-Do: 10am - 4pm UTC + 2h</p>
					<p>Fr: 10am - 2pm UTC + 2h</p>
				</div>
			</div>
			<div class="impax-footer-container__content__menu">
				<ul>
					<li><a href="">Impressum</a></li>
					<li><a href="">Data Protection</a></li>
					<li><a href="">Blog</a></li>
					<li><a href="">Affiliate Program</a></li>
					<li><a href="">Support</a></li>
				</ul>
				<ul>
					<li><a href="">About us</a></li>
					<li><a href="">Career</a></li>
					<li><a href="">Team</a></li>
					<li><a href="">PR Media</a></li>
					<li><a href="">contact</a></li>
				</ul>
				<ul>
					<li><a href="">Login</a></li>
				</ul>
			</div>
		</div>
	</div>
</div>
</template>

<script>
export default {

}
</script>

<style lang="scss" scoped>
@import '~@/assets/scss/fonts.scss';
$primary : #00a290;

.impax-footer-wrapper{
	background-image: url('~@/assets/images/surfcampMap.png');
	background-position: 50%;
	background-size: contain;
	background-repeat: no-repeat;
	background-color: transparent;
	width: 100%;
	min-height: 500px;
	margin-top: 130px;
	box-sizing: border-box;

	@media(max-width: 1010px){
		padding: 0 20px;
	}
}

.impax-footer-container{
	background: linear-gradient(180deg, #FFFFFF 0%, rgba(255,255,255,0) 100%);
	max-width: 959px;
	margin: auto;
	color: #AEACAA;
	font-family: Roboto;
	font-size: 12px;
	font-weight: bold;
	line-height: 16px;

	&__logo{
		width: 99px;
		margin-bottom: 35px;
		margin-left: -10px;
		img{
			width: 100%;
			height: 100%;
			object-fit: cover;
		}
	}

	&__content{
		display: flex;
		align-items: center;
		flex-wrap: wrap;
		width: 100%;
		&__contact{
			margin-right: 130px;
			max-width: 200px;
			
			p{
				margin: 0;
			}

			div{
				margin-bottom: 20px;
			}
		}

		&__menu{
			flex: 1;
			display: flex;
			justify-content: space-between;

			a{
				color: #AEACAA;
				text-decoration: none;
			}
			ul{
				padding: 0;
				position: relative;

				&:before{
					content: '';
					height: 3px;
					width: 24px;
					border-radius: 2px;
					background-color: $primary;
					position: absolute;
					top: 0;
				}
			}

			li{
				list-style: none;
				margin: 25px 0;
			}
		}
		
	}
}
</style>
